package com.tofly.ghrq_route.module.map.controller;

import android.content.Context;

import com.tofly.ghrq_route.module.map.service.MapServiceImpl;

public class MapServiceController {
    MapServiceImpl mapService;

    public MapServiceController() {
        mapService = new MapServiceImpl();
    }

    /**
     *  提交爆管分析的点到水力分析库
     */
    public void commitPipeAnalyzePoint(Context context, double x, double y, final MapServiceCallback mapServiceCallback){
        mapService.commitPipeAnalyzePoint(context, x, y, mapServiceCallback);
    }

    public void getLayerInfo(Context context, String gisToken, String pipe_id, MapServiceCallback mapServiceCallback) {
        mapService.getLayerInfo(context, gisToken, pipe_id, mapServiceCallback);
    }

    public void submitPipeAnalyzeJob(Context context, String gisToken, String pipe_id, String featureName, MapServiceCallback mapServiceCallback) {
        mapService.submitPipeAnalyzeJob(context, gisToken, pipe_id, featureName, mapServiceCallback);
    }

    public void getPipeAnalyzeJobStatus(Context context, String tag, String job_id, MapServiceCallback mapServiceCallback) {
        mapService.getPipeAnalyzeJobStatus(context, tag, job_id, mapServiceCallback);
    }

    public void getPipeAnalyzeResult(Context context, String job_id, String paramUrl, MapServiceCallback mapServiceCallback) {
        mapService.getPipeAnalyzeResult(context, job_id, paramUrl, mapServiceCallback);
    }

    public void pipeAnalyzeFindTask(Context context, String job_url, String layername, MapServiceCallback mapServiceCallback) {
        mapService.pipeAnalyzeFindTask(context, job_url, layername, mapServiceCallback);
    }

    /**
     *  通过二维码扫描到的SID查询图层ID
     */
    public void getLayerIdBySidFromQRCode(Context context, String sid, MapServiceCallback mapServiceCallback) {
        mapService.getLayerIdBySid(context, sid, mapServiceCallback);
    }

    public void query_device_by_sid(Context context, String sid, MapServiceCallback mapServiceCallback) {
        mapService.query_device_by_sid(context, sid, mapServiceCallback);
    }
}
